commit:     e8367daa79a7a511d177febaa70212f4d216d157
Author:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  6 22:14:54 2017 +0000
Commit:     Brian Dolbec <dolsen <AT> gentoo <DOT> org>
CommitDate: Tue May 16 02:07:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8367daa

dev-python/ramlfications: Version bump, to latest git commit

Needed to pass tests with python-3.5.
Remove unused test use flag and deps in the 0.19 release.

Package-Manager: Portage-2.3.5, Repoman-2.3.2_p30

 dev-python/ramlfications/Manifest                  |  1 +
 .../ramlfications-0.1.9_p20160718.ebuild           | 45 ++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/ramlfications/Manifest 
b/dev-python/ramlfications/Manifest
index a69a837baed..3d13d8ab972 100644
--- a/dev-python/ramlfications/Manifest
+++ b/dev-python/ramlfications/Manifest
@@ -1 +1,2 @@
 DIST ramlfications-0.1.9.tar.gz 1094577 SHA256 
7bb89c11b13bc6b4099ee7fa07c5285a54b64a5e9c71eb6ca99660358fb27677 SHA512 
5f93556e8f008b86bbe1e3b96dba3b20a31e583800334931b9c3972da897bc19a93ba5fdd687799e99aee79a93e10e58ca1b3eb5b0f38fb2b28d0f0ba0723e82
 WHIRLPOOL 
b58c21ab3d03578fe69bd29f331744c81ff5d88ce0ed7f03c1d0abd72058069638413043d8b63cb6e8a5a2b11b078b60cb5c1baf2491e73c44a33700cd51c97a
+DIST ramlfications-0.1.9_p20160718.zip 1183116 SHA256 
f889c88ac7f19f2d7ea3e510b9f6a17ff2ebbd8f201cb6ddc4f2ef7f4b1e624b SHA512 
5d35468edbe10300569d1faa66eae9795264e2aa73b656a3b39a70b490f1f3669c0d000c8e52b82902361ccee3663a68ea08884cbd2f88dafb5bdd0bb96f4790
 WHIRLPOOL 
46ae0a692a1c86a8ad6862a9bbb14de9829619d584691c8c8441875988b78275fd1d5e88a3542dffb5aad2195dae5137ad07f379eeb7ba1ebb20cc31b2d8b727

diff --git a/dev-python/ramlfications/ramlfications-0.1.9_p20160718.ebuild 
b/dev-python/ramlfications/ramlfications-0.1.9_p20160718.ebuild
new file mode 100644
index 00000000000..da6490e25cb
--- /dev/null
+++ b/dev-python/ramlfications/ramlfications-0.1.9_p20160718.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5})
+
+COMMIT="32a11cd7d75c4c5b3e3fc01c383314be298b0f9b"
+
+inherit eutils distutils-r1
+
+DESCRIPTION="RAML reference implementation in Python"
+HOMEPAGE="https://ramlfications.readthedocs.org/ 
https://pypi.python.org/pypi/ramlfications/";
+SRC_URI="https://github.com/spotify/${PN}/archive/${COMMIT}.zip -> ${P}.zip"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/pyyaml[${PYTHON_USEDEP}]
+       dev-python/markdown2[${PYTHON_USEDEP}]
+       dev-python/jsonref[${PYTHON_USEDEP}]
+       dev-python/click[${PYTHON_USEDEP}]
+       dev-python/attrs[${PYTHON_USEDEP}]
+       dev-python/termcolor[${PYTHON_USEDEP}]
+       dev-python/xmltodict[${PYTHON_USEDEP}]
+"
+DEPEND="
+       ${RDEPEND}
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/pytest-localserver[${PYTHON_USEDEP}]
+               dev-python/pytest-mock[${PYTHON_USEDEP}]
+               dev-python/pytest-cov[${PYTHON_USEDEP}]
+       )
+"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+python_test() {
+       py.test -v || die "Tests fail with ${EPYTHON}"
+}

Reply via email to